@font-face {
    font-family: 'PlayfairDisplay';
    src: url(PlayfairDisplay-VariableFont_wght.ttf);
}

@font-face {
    font-family: 'PlayfairDisplayItalic';
    src: url(PlayfairDisplay-Italic-VariableFont_wght.ttf);
}


body{
    font-family: 'PlayfairDisplay';
    line-height: 1.1em;
}

li{
  list-style: inside;
}

i{
  font-family: 'PlayfairDisplayItalic';
}

b{
    font-weight: bold;
}

p{
  margin-top: 1.5em;
}


#myBtn{
    display: none;
}

#titleBar{
    display: none;
}


#welcome-screen {
	
	font-family: "PlayfairDisplay";
	
	line-height: 2em;
	
    position:fixed;
    padding:0;
    margin:0;

    top:0;
    left:0;
    
    z-index: 9999;

    width: 100%;
    height: 100%;
    background:rgba(255,255,255,0.85);
    
    overflow: auto;
	
	opacity: 1;
	
	  -webkit-transition: opacity 0.5s ease-in-out;
	  -moz-transition: opacity 0.5s ease-in-out;
	  -ms-transition: opacity 0.5s ease-in-out;
	  -o-transition: opacity 0.5s ease-in-out;
	  transition: opacity 0.5 ease-in-out;
	
}

#welcome-screen.fade {
	opacity: 0;
}


#welcome-centered {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  padding: 60px 0 60px 0;
  color: black;
  width: 40%;
  text-align: center;
  min-width: 340px;
  max-width: 470px;
}

.welcome_img{
  max-width: 100%;
}

.logo{
  margin-bottom: 2em;
}

.enter-btn{
  margin-top: 2em;
  cursor: pointer;
}





/* HINTSPOT */
  .hintspot {
    width: 60px;
    height: 60px;
    margin-left: -30px;
    margin-top: -30px;

    opacity: 0.75;
    transition: opacity 0.2s;

    cursor: pointer;
  }

  .hintspot img {
    width: 100%;
    height: 100%;
  }

  .hintspot:hover {
    opacity: 1;
  }

  .link-hotspot-tooltip{
    background-color:  rgba(0, 0, 0, 0);
    text-shadow: 2px 2px 5px black;
  }

  .scenes{
    background-color:  rgba(0, 0, 0, 0) !important;
    text-shadow: 2px 2px 5px black;
  }

  .scene{
    opacity: 0.5;
  }

  .scene.current{
    background-color:  rgba(0, 0, 0, 0) !important;
    opacity: 1;
  }

  .scene:hover{
    background-color:  rgba(0, 0, 0, 0) !important;
    opacity: 1;
  }

    /* The Modal (background) */
  .modal {
    position: fixed; /* Stay in place */
    z-index: 999; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 0%; /* Full height */
    overflow: hidden; /* Enable scroll if needed */
    background-color: rgb(255, 255, 255); /* Fallback color */
    background-color: rgba(255, 255, 255, 0.75); /* Black w/ opacity */

    display: flex;
    justify-content: center;
    align-items: center;
  }

  /* Modal Content/Box */
  .modal-content {
    background-color: #fefefe;
    color: black;
    margin:  auto;
    /* margin-top: 5vh; */
    padding: 20px;
    /* box-shadow: 0px 0px 25px gray; */
    max-width: 90vw; /* Could be more or less, depending on screen size */
    width: max-content;
    max-height: 90vh;
    text-align: justify;
    line-height: 2em;
    box-shadow: 0px 0px 15px gray;
    
    overflow-y: auto;
    scrollbar-width: thin;
}

#modal-header{
    font-size: xx-large;
    font-weight: bold;
    margin-bottom: 20px;
    max-width:400px;
    text-align: left;
}

.modal-body{
    max-height: 95%;
    margin-top: 10px;
    margin-bottom:10px;
  }
  
  /* The Close Button */
  .close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
    padding: 20px 0 20px 0;
  }
  
  .close:hover,
  .close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
  }
  
  modal-close-btn-wrapper{
    width: 100%;
    text-align-last: end;
    padding: 5px 10px 0px 0px;
  }
  
  .modal-footer{
    width: 100%;
    position: relative;
    bottom: 65px;
    display: flex;
    align-items: center;
    flex-wrap: nowrap;
    justify-content: center;
  }
  
  .modal-container{
    height: 90%;
  }



/*OVERRIDES*/
#sceneListToggle {
    background-color:transparent!important;
}

#autorotateToggle {
    background-color:transparent!important;
}

#fullscreenToggle {
    background-color:transparent!important;
}




